﻿@model Jumbula.Core.Model.Campaign.ClassConfirmationCampaignModel

@{
    Layout = null;
}

<div class="view-container">

    <div class="title-bar">
        <div class="back">
            <a class="action" ng-click="back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Class confirmation
            </h1>
        </div>

        <div class="actions">

        </div>
        
        <div class="clearfix"></div>
        <hr />
    </div>

    <nav class="step-navigator breadcrumbs edit-order">
        <ul>
            <li class="active">
                <a ng-click="Model.PageStep = 'FirstPage'">
                    Recepients
                </a>
            </li>

            <li class="last">
                <a ng-click="continue()">
                    <i class="icon-checkmark"></i>
                </a>
            </li>
            <li style="visibility: hidden; height: 0px;"><a href="#">DO NOT DELETE THIS</a></li>
            <li style="visibility: hidden; height: 0px;"><a href="#">DO NOT DELETE THIS</a></li>
        </ul>
    </nav>


    <div>
        <form novalidate>
            <fieldset>

                <div class="row">
                    <div class="place-left one-third padding-right20">
                        <label class="req-star">Class date</label>
                        <div class="input-control date-time" @Html.AngValidationClassFor(model => model.ClassDateTime)>
                            <div @Html.AngTooltipValidationFor(model => model.ClassDateTime)>
                                <input k-options="MC.datePickerOptions" kendo-date-picker type="text" ng-model="@Html.Ang(m => m.ClassDateTime)" ng-focus="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                            </div>
                        </div>
                    </div>
                </div>

                <div class="clearfix"></div>

                <div class="row">
                    <div class="input-control radio">
                        <label>&nbsp;</label>
                        <div class="input-control radio default-style place-left no-margin padding-right50" data-role="input-control">
                            <label class="block">
                                <input ng-model="Model.IsAllSchools" ng-value="true" type="radio" ng-change="updateChosenScope()" />
                                <span class="check"></span>
                                <span>All schools</span>
                            </label>
                        </div>
                        <div class="input-control radio default-style place-left no-margin padding-left20" data-role="input-control">
                            <label class="block">
                                <input ng-model="Model.IsAllSchools" ng-value="false" type="radio" ng-change="getClubs(Model.ClubType)" />
                                <span class="check"></span>
                                <span>Selected schools</span>
                            </label>
                        </div>
                    </div>
                    <label class="req-star" ng-show="!Model.IsAllSchools" >Schools</label>
                    <div class="input-control choosen" data-role="input-control" ng-show="!Model.IsAllSchools" @Html.AngValidationClass("SelectedSchools")>
                        <select chosen multiple
                                ng-model="Model.SelectedSchools"
                                data-placeholder="Select some schools"
                                ng-options="obj.Value as obj.Text for obj in Model.AllSchools" @Html.AngTooltipValidation("SelectedSchools")></select>
                    </div>
                </div>

                <div class="clearfix"></div>

                <div class="row">
                    <div class="place-left one-fourth padding-right20">
                        <label for="filter.typeId" class="req-star">Season</label>
                        <div class="input-control select" data-role="input-control" @Html.AngValidationClass("SeasonName")>
                            <select ng-model="Model.SeasonName" ng-options="obj.Value as obj.Text for obj in Model.AllSeasons" @Html.AngTooltipValidation("SeasonName")></select>
                        </div>
                    </div>
                    <div class="place-left one-fourth padding-right20">
                        <label for="filter.typeId" class="req-star">Year</label>
                        <div class="input-control select" data-role="input-control" @Html.AngValidationClass("Year")>
                            <select ng-model="Model.Year" ng-options="obj.Value as obj.Text for obj in Model.AllYears" @Html.AngTooltipValidation("Year")>
                                <option value="">Select year</option>
                            </select>
                        </div>
                    </div>
                </div>
            </fieldset>
        </form>

    </div>


    <div class="clearfix"></div>
    <hr />

    <button type="submit" ng-click="continue()" class="success large place-right">Continue</button>
    <button class="link large place-left" ng-click="back()">Cancel</button>

    <div class="clearfix"></div>
</div>